Skip to main content
POST /api/v1/cloud/sessions/{session_id}/resources/{resource_id} Updates one Session resource. Current CAS supports token rotation only for github_repository resources.

Path parameters

ParameterTypeDescription
session_idstringSession ID with the sess_ prefix
resource_idstringResource ID with the sesr_ prefix

Headers

HeaderRequiredDescription
AuthorizationYesBearer $QODER_PAT
Content-TypeYesapplication/json

Request body

FieldTypeRequiredDescription
authorization_tokenstringYesNew GitHub token

Example request

curl -X POST https://api.qoder.com/api/v1/cloud/sessions/sess_019e392c0d1e74e095d21ea4c6b41def/resources/sesr_0e4323e8f47ba34853f5409e \
  -H "Authorization: Bearer $QODER_PAT" \
  -H "Content-Type: application/json" \
  -d '{"authorization_token":"ghp_newtoken"}'

Example response

HTTP 200 OK Returns the updated Session resource. The token is not returned.
{
  "id": "sesr_0e4323e8f47ba34853f5409e",
  "type": "github_repository",
  "url": "https://github.com/your-org/your-repo",
  "mount_path": "/data/workspace/your-repo",
  "checkout": {"type": "branch", "name": "main"},
  "created_at": "2026-06-23T05:53:19.774840Z",
  "updated_at": "2026-06-23T06:01:42.124501Z"
}

Errors

HTTPTypeTrigger
400invalid_request_errorResource is not a github_repository, or malformed request
401authentication_errorPAT invalid or expired
404not_found_errorSession or resource does not exist
HTTP 400 Bad Request
{
  "type": "error",
  "error": {
    "type": "invalid_request_error",
    "message": "Field 'authorization_token' is required."
  }
}
HTTP 404 Not Found
{
  "type": "error",
  "error": {
    "type": "not_found_error",
    "message": "Session resource 'sesr_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
HTTP 404 Not Found
{
  "type": "error",
  "error": {
    "type": "not_found_error",
    "message": "Session 'sess_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
See Errors for the full error envelope.